-- 123 Nameplates in Arena
local U = UnitIsUnit
hooksecurefunc(
"CompactUnitFrame_UpdateName",
function(F)
  if IsActiveBattlefieldArena() and F.unit:find("nameplate") then
    for i = 1, 5 do
      if U(F.unit, "arena" .. i) then
        F.name:SetText(i)
        F.name:SetTextColor(1, 1, 0)
        break
      end
    end
  end
end
)

-- Removes DELETE confirmation
local folder, ns = ...
local addon = CreateFrame('Frame','EasyDeleteConfirmFrame')

function addon:DELETE_ITEM_CONFIRM(...)
  if StaticPopup1EditBox:IsShown() then
    StaticPopup1EditBox:Hide()
    StaticPopup1Button1:Enable()

    local link = select(3,GetCursorInfo())

    addon.link:SetText(link)
    addon.link:Show()
  end
end

function addon:ADDON_LOADED(loaded_addon)
  if loaded_addon ~= folder then return end

  -- Create item link container
  addon.link = StaticPopup1:CreateFontString(nil, 'ARTWORK', 'GameFontHighlight')
  addon.link:SetPoint('CENTER', StaticPopup1EditBox)
  addon.link:Hide()

  StaticPopup1:HookScript('OnHide', function(self)
  addon.link:Hide()
  end)
end

addon:SetScript('OnEvent', function(self,event,...)
self[event](self,...)
end)

addon:RegisterEvent('ADDON_LOADED')
addon:RegisterEvent('DELETE_ITEM_CONFIRM')

local function OnEvent(self, event)
  -- Auto Sell Grey Items
  totalPrice = 0
  for myBags = 0,4 do
    for bagSlots = 1, GetContainerNumSlots(myBags) do
      CurrentItemLink = GetContainerItemLink(myBags, bagSlots)
      if CurrentItemLink then
        _, _, itemRarity, _, _, _, _, _, _, _, itemSellPrice = GetItemInfo(CurrentItemLink)
        _, itemCount = GetContainerItemInfo(myBags, bagSlots)
        if itemRarity == 0 and itemSellPrice ~= 0 then
          totalPrice = totalPrice + (itemSellPrice * itemCount)
          UseContainerItem(myBags, bagSlots)
          PickupMerchantItem()
        end
      end
    end
  end

  -- Auto Repair
  if (CanMerchantRepair()) then
    repairAllCost, canRepair = GetRepairAllCost();
    -- If merchant can repair and there is something to repair
    if (canRepair and repairAllCost > 0) then
      -- Use Guild Bank
      guildRepairedItems = false
      if (IsInGuild() and CanGuildBankRepair()) then
        -- Checks if guild has enough money
        local amount = GetGuildBankWithdrawMoney()
        local guildBankMoney = GetGuildBankMoney()
        amount = amount == -1 and guildBankMoney or min(amount, guildBankMoney)

        if (amount >= repairAllCost) then
          RepairAllItems(true);
          guildRepairedItems = true
        end
      end

      -- Use own funds
      if (repairAllCost <= GetMoney() and not guildRepairedItems) then
        RepairAllItems(false);
      end
    end
  end
end

local f = CreateFrame("Frame")
f:SetScript("OnEvent", OnEvent);
f:RegisterEvent("MERCHANT_SHOW");